Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf.common.border
Class ShadowBorder

    java.lang.Object
      org.flexdock.plaf.common.border.ShadowBorder

All Implemented Interfaces:
  Border

    public class ShadowBorder

extends Object
implements Border

Constructor Summary
`ShadowBorder()`

Method Summary
`Insets` | `getBorderInsets(Component c)`
`boolean` | `isBorderOpaque()`
`void` | `paintBorder(Component c, Graphics g, int x, int y, int w, int h)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShadowBorder

    public ShadowBorder()

Method Detail

### getBorderInsets

    public Insets getBorderInsets(Component c)

  Specified by:
    `getBorderInsets` in interface `Border`

### isBorderOpaque

    public boolean isBorderOpaque()

  Specified by:
    `isBorderOpaque` in interface `Border`

### paintBorder

    public void paintBorder(Component c,
                            Graphics g,
                            int x,
                            int y,
                            int w,
                            int h)

  Specified by:
    `paintBorder` in interface `Border`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD